<?php

namespace Vab\Logic;

use Ems\Util\Utils;
use Util\{ DateUtil, NovoCodigo, Repositories };

class CalculoBeneficioUtil {

    public static function retornaHistoricoAtualPorNrescalatrabm($nrescalatrabm, $nrorg,$dtmescompetenc){
        $qb = Utils::getEntityManager()->createQueryBuilder();
        $gpeEscalatrabh = Repositories::GPE_ESCALATRABH;
        $escalatrabh = $qb
            ->select('s')
            ->from($gpeEscalatrabh, 's')
            ->where('s.nrorg = :nrorg')
            ->andWhere('s.nrescalatrabm = :nrescalatrabm')
            ->andWhere("s.dtmescompetenc = (select max(sh.dtmescompetenc) from $gpeEscalatrabh sh where sh.nrorg = s.nrorg and sh.nrescalatrabm = s.nrescalatrabm and sh.dtmescompetenc <= :dtmescompetenc)")
            ->setParameters(array('nrorg' => $nrorg, 'nrescalatrabm' => $nrescalatrabm, 'dtmescompetenc' => $dtmescompetenc))
            ->getQuery()
            ->getResult();
        return current($escalatrabh);
    }
}