<?php
namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;
use HCM\Util\DateUtil;
use HCM\Geral\Repository\MonitEsocialRepository;

class MonitEsocialService{
        
    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters,\HCM\Geral\Repository\MonitEsocialRepository $MonitEsocialRepository) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
        $this->monitEsocialRepository = $MonitEsocialRepository;
    }
    
    public function getMonitEsocial($filters){
        
        $params = array(
            "P_NRORG" => $this->hcmParameters->getNrorgTrabalho(),
        );
        
        return $this->monitEsocialRepository->getMonitEsocial($filters, $params);
        
    }
    
}